/**
 * Created by ztt on 2018/9/21.
 */
export declare class ArrayUtils {
    /**
     * 增加一个元素
     * @param array：被操作的数组
     * @param value：被添加的子数据
     * @param idKey：对象的唯一索引key
     * @param pIdKey：父对象的唯一索引key
     * @param childKey：子对象的唯一索引key
     * @returns {any}
     */
    static add(array: Array<any>, value: any, { idKey, pIdKey, childKey }?: {
        idKey?: string | undefined;
        pIdKey?: string | undefined;
        childKey?: string | undefined;
    }): boolean;
    /**
     * 移除一个元素
     * @param array
     * @param value：被移除的数据。可以是对象的主键值，也可以是主键也值的健值对。
     * @param key
     * @returns {any}
     */
    static remove(array: any, value: any, { idKey, childKey }?: {
        idKey?: string | undefined;
        childKey?: string | undefined;
    }): any;
    /**
     * 获取一个元素
     * @param array
     * @param value
     * @param key
     * @returns {any}
     */
    static get(array: any, value: any, { idKey, childKey }?: {
        idKey?: string | undefined;
        childKey?: string | undefined;
    }): any;
    static update(array: any, obj: any, { idKey, childKey }?: {
        idKey?: string | undefined;
        childKey?: string | undefined;
    }, fun?: Function): any;
    private static updateObject;
    static merge(array: any, obj: any, { idKey, childKey }?: {
        idKey?: string | undefined;
        childKey?: string | undefined;
    }, fun?: Function): any;
    private static mergeObject;
    static updateKey(datas: any, keys: Object, fun?: Function): any;
    /**
     是否是个有效的数组对象，有则返回第一个子元素，否则返回false
     @param array
     @returns {boolean|boolean}
     */
    static valid(array: any): any;
    static validArray(array: any): boolean;
    static validObject(obj: any): boolean;
    /**
     * 两个元素交换位子
     * @param arr：被移动的数组
     * @param index1：被移动的元素一
     * @param index2：被移动的元素二
     * @returns {any}
     */
    static swap(arr: any, index1: any, index2: any): any;
    /**
     * up 上移动一格
     */
    static up(arr: any, index: any, { size, start }?: {
        size?: number | undefined;
        start?: number | undefined;
    }): void;
    /**
     * down 下移动一格
     */
    static down(arr: any, index: any, { size, end }?: {
        size?: number | undefined;
        end?: any;
    }): void;
    /**
     * 置顶移动
     */
    static top(arr: any, index: any): void;
    /**
     * 置底移动
     */
    static bottom(arr: any, index: any): void;
}
export declare class ArrayModel {
    idKey: string;
    pIdKey: string;
    pKey: string;
    childKey: string;
}
