export declare class RegexpUtils {
    static identityCard: RegExp;
    static chineseRegx: RegExp;
    static mac: RegExp;
    static url: RegExp;
    static mobile: RegExp;
    static email: RegExp;
    static taxpayerIdentificationNumber: RegExp[];
    static matchChinese(str: any): any;
    /**
     * 身份证
     * @param str
     */
    static isIdentityCard(str: any): boolean;
    /**
     * 汉字
     * @param str
     */
    static isChinese(str: any): boolean;
    /**
     * MAC地址格式
     * @param str
     */
    static isMac(str: any): boolean;
    /**
     * URL格式校验
     * @param str
     */
    static isUrl(str: any): boolean;
    /**
     * 手机号校验
     * @param str
     */
    static isMobile(str: any): boolean;
    /**
     * 邮箱校验
     * @param str
     */
    static isEmail(str: any): boolean;
    /**
     * 是否为小数
     * @param str
     * @param min
     * @param max
     * isDecimal
     */
    static isNumber(str: any, { max, min, maxScale, minScale, scale }?: {
        max?: number | undefined;
        min?: number | undefined;
        maxScale?: number | undefined;
        minScale?: number | undefined;
        scale?: number | undefined;
    }): boolean;
    /**
     * 整数
     * @param str
     */
    static isInteger(str: any): boolean;
    /**
     * javascript验证纳税人识别号格式
     * @param  taxId [纳税人识别号]
     * @return true格式正确，false格式错误
     */
    static isTaxpayerIdentificationNumber(taxId: any): boolean;
    /**
     * 字节
     * @param str
     * @param maxLength
     * @param minLength
     */
    static byteLength(str: any, { maxLength, minLength }?: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
    }): boolean;
    /**
     * 去除全部空格
     * @param str
     */
    static trim(str?: string): string;
    /**
     * 去除前后空格
     * @param str
     */
    static trimAround(str?: string): string;
    /**
     * 去除前空格
     * @param str
     */
    static trimLeft(str?: string): string;
    /**
     * 去除后空格
     * @param str
     */
    static trimRight(str?: string): string;
    /**
     * 首字母大写
     * @param str
     */
    static upperCaseFirst(str: any): any;
    /**
     * 首字母小写
     * @param str
     */
    static lowerCaseFirst(str: any): any;
    /**
     * 小驼峰
     * @param str
     */
    static lowerCamelCase(str: any): any;
    /**
     * 根据身份证号，获取出生日期
     */
    static getBirthdayStrByIdCard(idCard: string): string;
    private static getBirthdayStrByIdCard2;
    /**
     * 根据身份证号获取性别
     * @param idCard：身份证号
     */
    static getAgeByIdCard(idCard: string): number;
    /**
     * 获取性别
     * @param idCard：身份证号
     */
    static getSexByIdCard(idCard: string): string;
    /**
     * 获取性别、年龄、出生日期
     * @param idCard：身份证号
     */
    static getPersonInfoByIdCard(idCard: string): {
        sex: string;
        age: string;
        birthday: string;
        gender: string;
    };
}
