export declare class TimeUtils {
    static FORMAT_FULL: string;
    static FORMAT_FULL_IE: string;
    static FORMAT_FULL_CN: string;
    static FORMAT_YMD: string;
    static FORMAT_YMD_IE: string;
    static FORMAT_YMD_CN: string;
    static FORMAT_HMS: string;
    static FORMAT_HMS_CN: string;
    private static START_TIME_SUFFIX;
    private static END_TIME_SUFFIX;
    static isDate(date: any): boolean;
    static parse(date: any): Date | null;
    /**
     * 某天时间
     * @param day
     * @returns {{start: string, end: string}}
     */
    static getDayTime(num?: number): {
        start: string;
        end: string;
    };
    /**
     * 多少天内的时间
     * @param day
     * @returns {{start: string, end: string}}
     */
    static getWinthInDayTime(num?: number): {
        start: string;
        end: string;
    };
    /**
     * 某周时间
     * @param num
     * @returns {string}
     */
    static getWeekTime(num?: number): {
        start: string;
        end: string;
    };
    /**
     * 某月时间
     * @returns {Date}
     */
    static getMonthTime(num?: number): {
        start: string;
        end: string;
    };
    /**
     * 某季度时间
     * @returns {string}
     */
    static getQuarterTime(num?: number): {
        start: string;
        end: string;
    };
    /**
     * 获取某年时间
     * @param num
     * @returns {{start: string, end: string}}
     */
    static getYearTime(num?: number): {
        start: string;
        end: string;
    };
    /**
     * 根据毫秒数字获取时间
     * @param mise
     */
    static getByMilliseconds(mise: number): string | Date | null;
    /**
     * 时间格式化
     * @param date(var dateStr = '2019-07-28 17:59:00';)
     * @param format
     * @returns {string}
     */
    static format(date?: Date | string, format?: string): Date | string;
    private static formatDateToStr;
    private static formatStrToDate;
    /**
     * 随机生成一个日期
     * @returns {Date}
     */
    static random(): Date;
    static sayHello(cfg?: {
        6: string;
        9: string;
        12: string;
        14: string;
        17: string;
        19: string;
        22: string;
        24: string;
    }): any;
    /**
     * 判断是否是闰年
     * @param date
     */
    static isLeapYear(date?: any): boolean;
    /**
     * 获取某年某月的天数
     * @param year
     * @param month
     * @returns {number}
     */
    static getDaysForMonth(year: any, month: any): number;
    static numMillsecond(date1: any, date2: any): number;
    static getTime(date: any): number;
    /**
     * 倒计时
     * @param time1
     * @param time2：默认为当前时间
     */
    static countDown(time1: any, time2?: Date): {
        after: boolean;
        before: boolean;
        data: string;
        day: number;
        hour: number;
        minute: number;
        second: number;
    };
    /**
     * 获取某月结束时间
     * @param date
     */
    static getMonthEndDateByDateStr(date: string): Date;
}
