export declare class ValueUtils {
    /**
     * 是否为空值：符合空值的条件（空字符串、null、undefined、数组长度为0、对象中没有key）
     * @param v：被验证的值
     * @param trim：如果是字符串，是否去除空格后再验证
     */
    static isNullValue(v: any, trim?: boolean): boolean;
    /**
     * 是否为数字类型的值
     * @param v：被验证的值
     * @param trim：如果是字符串，是否去除空格后再验证
     */
    static isNumberValue(v: any, trim?: boolean): boolean;
    /**
     * 是否为空数组
     * @param o：被校验的值
     */
    static isEmptyArray(o: any): boolean;
    /**
     * 是否为非空数组
     * @param o：被校验的值
     */
    static isNotEmptyArray(o: any): boolean;
    /**
     * 去除空格
     * @param v：被去除空格的值，要求为string
     */
    static trim(v: string): string;
}
