export declare class AjaxUtils {
    constructor();
    /**
     * 发送表单
     * @param jsonData
     */
    postFormData(url: string, jsonData: any, callback: AjaxCallback, async?: boolean): void;
    /**
     * 发送Json
     * @param url
     * @param jsonData
     * @param onSuccessCallback
     * @param onFailCallback
     * @param async
     */
    postJson(url: string, jsonData: any, callback: AjaxCallback, async?: boolean): void;
    get(url: string, jsonData: any, callback: AjaxCallback, async?: boolean): void;
    private send;
    /**
     * 添加get参数
     * @param url
     * @param name 参数名
     * @param value 参数值
     */
    private urlParam;
    test(): void;
}
/**
 * 网络请求回调类
 */
export declare class AjaxCallback {
    private object;
    private func;
    /**
     * 网络请求回调类
     * @param func 类
     * @param object  对象（若为空则认定为匿名函数）
     */
    constructor(func: any, object?: any);
    /**
     * 调用
     * @param state 状态
     * @param response 数据
     */
    call(state: number, response: any): void;
}
